<?php
class Default_Form_RecuperarClave extends Zend_Form
{ 
    public function __construct($options = null) 
    { 
        parent::__construct($options);
        
        $this->setName("acceso");
   
              
        $mail = new Zend_Form_Element_Text('mail');
        $mail->setLabel('Email')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim')
              ->addValidator('EmailAddress')
              ->addValidator('NotEmpty');
        
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('solicitar clave');
        
        $this->addElements(array($mail, $submit));
            

        /* alternative decoration */

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Fieldset')
             ->addDecorator('Form');
        
        $this->setElementDecorators(array(
            array('ViewHelper'),
            array('Errors'),
            array('Description'),
            array('Label', array('separator'=>' ')),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_ingreso')),
        ));     
        $submit->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_submit')),
        ));

    } 
} 
